> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Incremental Snapshot



## OpenAPI

````yaml /openapi/openapi.json post /sources/stop_incremental_snapshot
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /sources/stop_incremental_snapshot:
    post:
      tags:
        - Sources
      summary: Stop Incremental Snapshot
      operationId: stopIncrementalSnapshot
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExecuteSnapshotBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    ExecuteSnapshotBody:
      properties:
        source_id:
          type: string
          title: Source Id
        topic_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Topic Names
        additional_conditions:
          anyOf:
            - items:
                $ref: '#/components/schemas/AdditionalCondition'
              type: array
            - type: 'null'
          title: Additional Conditions
        surrogate_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Surrogate Key
          description: >-
            Column name to use as surrogate primary key for all tables during
            snapshot chunking. Useful for tables without primary keys or when a
            more efficient column exists for chunking.
      additionalProperties: true
      type: object
      required:
        - source_id
      title: ExecuteSnapshotBody
      description: Execute Snapshot Body
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AdditionalCondition:
      properties:
        data_collection:
          type: string
          title: Data Collection
          description: >-
            The data collection (e.g., table or collection name) to apply the
            filter to.
        filter:
          type: string
          title: Filter
          description: >-
            The filter expression to apply to the data collection (e.g.,
            createdAt > '2023-01-01').
      type: object
      required:
        - data_collection
        - filter
      title: AdditionalCondition
      description: Condition for restricting an incremental snapshot
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````